﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ExchangeService;

namespace ExchangeServiceConsole
{
    public class Log4NetLogger : ILogger
    {
        public void Info(string message)
        {
            Debug(message);
        }

        public void Debug(string message)
        {
            System.Diagnostics.Debug.WriteLine(DateTime.Now.ToString() + '\t' + message);
            Console.WriteLine(DateTime.Now.ToString() + '\t' + message);
        }

        public void Error(Exception x)
        {
            Debug(x.ToString());
        }


        public void LogMessage(ExternalMessage message)
        {
            Debug("Message from external: " + message.CorrelationID);
        }

        public void LogInboxItem(InboxItem item)
        {
            Debug("Inbox item: " + item.ItemID.ToString());
        }

        public void LogOutboxItem(OutboxItem item)
        {
            Debug("Outbox item: " + item.ItemDateTime.ToString());
        }
    }
}
