﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ExchangeService;

namespace ExchangeServiceConsole
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Starting...");
            var manager = new ExchangeManager(() => new ExternalProviderMQImpl(),
                () => new SqlDBQueueProvider(Config.ConnectionString),
                new Log4NetLogger(),
                Config.ExternalThreadCount,
                Config.DBThreadCount,
                Config.DBPollInterval,
                Config.ExternalReadInterval,
                Config.ExternalReadTimeout,
                Config.StopTimeout);
            manager.Start();
            Console.WriteLine("Started. Press ENTER to close.");
            Console.ReadLine();
            manager.Stop();
        }
    }
}
