﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ExchangeService
{
    /// <summary>
    /// Implement this to offer database storage for inbound and outbound messages. 
    /// </summary>
    public interface IDBQueueProvider : IDisposable
    {
        /// <summary>
        /// Establish database connectivity.
        /// </summary>
        /// <param name="connectionString"></param>
        void Initialize();
        IEnumerable<InboxItem> DequeueInbox();
        void EnqueueInbox(InboxItem item);
        void EnqueueOutbox(OutboxItem item);
        OutboxItem RetrieveFromOutbox(string correlationId);
        bool TryRecoverFromFault(Exception x);
        void Reinitialize();
    }
}
