﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using ExchangeService;

namespace ExchangeServiceTests
{
    /// <summary>
    /// Stub implemnetation of IExternalProvider that returns dummy messages.
    /// </summary>
    public class ExternalProviderStub : IExternalProvider
    {
        public void Connect()
        {
            
        }

        public void Disconnect()
        {
            
        }

        public void Reconnect()
        {
            
        }

        public ExternalMessage ReadAndWait(TimeSpan readTimeout)
        {
            Thread.Sleep(new Random((int)DateTime.Now.Ticks).Next(100, (int)readTimeout.TotalMilliseconds));

            return new ExternalMessage
            {
                CorrelationID = Guid.NewGuid().ToString(),
                Data = new string(Enumerable.Repeat<char>('X',
                    new Random((int)DateTime.Now.Ticks).Next(100 * 1024, 500 * 1024)).ToArray())
            };
        }

        public void Send(ExternalMessage message)
        {
            
        }

        public bool TryRecoverFromFault(Exception x)
        {
            Reconnect();

            return true;
        }

        public void Dispose()
        {
            
        }
    }
}
